TRACE_BLOCK_GETRQ(9)

NAME
trace_block_getrq - get a free request entry in queue for block IO operations

SYNOPSIS

void trace_block_getrq(struct request_queue * q, struct bio * bio, int rw);

ARGUMENTS

q
    queue for operations

bio
    pending block IO operation

rw
    low bit indicates a read (0) or a write (1)

DESCRIPTION

A request struct for queue q has been allocated to handle the block IO operation bio.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT